> For the complete documentation index, see [llms.txt](https://docs.altum.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.altum.ai/english/insurance/contents-value-api/authentication-input-and-response.md).

# Authentication, input and response

## Request contents valuation for Dutch residential properties

<mark style="color:green;">`POST`</mark> `https://api.altum.ai/contentsvalue`

#### Headers

| Name                                        | Type   | Description                                                                 |
| ------------------------------------------- | ------ | --------------------------------------------------------------------------- |
| x-api-key<mark style="color:red;">\*</mark> | string | Unique API Key from Altum. Create one via Mopsus(<https://mopsus.altum.ai>) |
| Content-Type                                | string | application/json                                                            |

#### Request Body

| Name                                            | Type   | Description                                               |
| ----------------------------------------------- | ------ | --------------------------------------------------------- |
| postcode<mark style="color:red;">\*</mark>      | string | Postcode of the house                                     |
| housenumber<mark style="color:red;">\*</mark>   | int    | House number                                              |
| houseaddition<mark style="color:red;">\*</mark> | string | House addition                                            |
| innersurfacearea                                | int    | Inner Surface Area of the property in m².                 |
| age\_mainbreadwinner                            | int    | Age of the main bread winner of the property.             |
| household\_composition                          | bool   | 0 for Single; 1 for married or cohabiting                 |
| income\_mainbreadwinner                         | int    | Net Monthly income of the main breadwinner in euros.      |
| value\_audiovisualandPC                         | int    | Value of the audiovisual and computer equipment in euros. |
| value\_jewelery                                 | int    | Value of the jewelry in euros.                            |
| value\_specialpossessions                       | int    | Value of special possessions in euros.                    |
| value\_tenantinterest                           | int    | Value of tenant interest in euros.                        |

{% tabs %}
{% tab title="200: OK Successful response" %}

<pre><code>{
<strong>	"postcode": "1234AB",
</strong>	"housenumber": 1,
	"houseaddition": "A",
	"street": "Street",
	"city": "City",
	"housetype": "Tussenwoning",
	"buildyear": 2009,
	"innersurfacearea": 45.0,
	"monument_status": false,
	"building_function": "woonfunctie",
	"usage_indication": "Er is een gebruiker die geen (mede)eigenaar is.",
	"wall_material": "Steen",
	"wall_material_probability": {
		"Hout": "0.10",
		"Steen": "0.90"
	},
	"floor_material": "Steen/beton",
	"floor_material_probability": {
		"Hout": "0.01",
		"Steen/beton": "0.98",
		"Hout en steen/beton": "0.01",
		"Anders": "0.00"
	},
	"roof_material": "Dakpannen",
	"roof_material_probability": {
		"Dakpannen": "0.70",
		"Bitumen": "0.15",
		"EPDM": "0.12",
		"Kunststof": "0.03"
	},
	"roof_construction_type": "slanted",
	"output_total_household_value": 91834,
	"output_points_total": 73,
	"output_value_of_points": 91834,
	"output_index_value_1258": 1258,
	"output_value_delta": 0
}
</code></pre>

{% endtab %}

{% tab title="400: Bad Request Unsuccessful response" %}

```
{
  "detail": "Not possible to estimate house hold value: Surface area exceeds 300m²"
}

{
  "detail": "Not possible to estimate house hold value: Income exceeds 4850 euros"
}
```

{% endtab %}

{% tab title="500: Internal Server Error Service is not available and/or down" %}

```
{
	"message": "Internal server error"
}	
```

{% endtab %}

{% tab title="403: Forbidden" %}

```
{
	"message": "Missing Authentication Token"
}
```

{% endtab %}

{% tab title="401: Unauthorized No access" %}

```
{
    'Output': 'Please use https://api.altum.ai or visit https://mopsus.altum.ai to make your request.'
}
```

{% endtab %}
{% endtabs %}

## Request body

#### Example request

```
{
  "postcode": "1234AB",
  "housenumber": 1,
  "houseaddition": "A",
  "innersurfacearea": "120",
  "age_mainbreadwinner": "40",
  "household_composition": "True",
  "income_mainbreadwinner": "3500",
  "value_audiovisualandPC": "0",
  "value_jewelery": "0",
  "value_specialpossessions": "0",
  "value_tenantinterest": "0"
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.altum.ai/english/insurance/contents-value-api/authentication-input-and-response.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
